package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel
@TableName(value ="t_review_usecase")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReviewUsecase {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("用例编号")
    private String usecaseId;

    @ApiModelProperty("用例描述")
    private String usecaseDescribe;

    /**
     * 审查标准id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("审查标准id")
    private Long reviewStandardId;
}
